Bug 113212 - pxe client sends different mac addresses for DHCP request during pxe install
pxe client sends different mac addresses for DHCP request during pxe install
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-01-09 14:29 EST by Linda Lee
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-05 16:44:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Linda Lee 2004-01-09 14:29:22 EST
Description of problem:

Tried to install RH AS 3 on Sun Fire 65 using pxe server installation
method but encountered problem.  The problem is that the pxe client
sent two different mac addresses in the DHCP request.  Usually, the
dhcpd.conf file specifies the hardware address of eth0 of the pxe
client.  The pxe client sent DHCP request using this mac address when
 initially it needs to boot the image, which is correct.  But, later
on, the pxe client sent DHCP request using different mac address (this
address is not the address of eth1..., hasn't figured out yet what it
is.) when it needs to contact the pxe server regarding the client's ip
address/domain info.  This causes the DHCP request failed as there is
no such hardware address specified in the dhcpd.conf file.

The workaround now I put in is that I need to modify the dhcpd.conf to
switch the hardware address for this pxe client and restart the dhcpd
service when the installer is executing "loading aic79xx driver...". 
Then, the DHCP request succeeded.  But later on, hit another bug (113076).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2004-01-13 15:54:10 EST
Haven't seen this here at all on any of our hardware.  Have you
figured out what the second address is?  Are you maybe getting that
the first device to PXE boot is not what linux sees as eth0?
Comment 2 Suzanne Hillman 2004-04-05 16:44:42 EDT
This has not been touched in over 2 months. Closing as NOTABUG. If it
is still a problem, please reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.